package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelCollection;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 医生质控平均分-患者列表（等级）-接口出参
 * @Author songxl
 * @Date 2022/4/11 9:20
 */
@ApiModel(value = "医生质控平均分-患者列表（等级）-接口出参")
@Getter
@Setter
public class ExportDoctorAverageLevel_90DTO implements Serializable {
    private static final long serialVersionUID = 4875168077452918044L;

    @ApiModelProperty(value = "科室")
    @Excel(name = "科室", needMerge = true)
    private String behDeptName;

    @Excel(name = "平均分数", needMerge = true)
    private Double avgScore;

    @ApiModelProperty(value = "科室")
    @ExcelCollection(name = "" )
    private List<ExportBehospital_90DTO> excelBehospitalDTOS;
}
