package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 申述记录excle
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class ExportGetComplaintRecordDTO {

//    @Excel(name = "申述id", needMerge = true)
//    private Long id;

    @Excel(name = "申诉人", needMerge = true)
    private String claimantName;

    @Excel(name = "所属科室", needMerge = true)
    private String behDeptName;

    @Excel(name = "申诉时间", needMerge = true, exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date claimantGmtCreate;

    @Excel(name = "病人住院序号", needMerge = true)
    private String behospitalCode;

    @Excel(name = "患者姓名", needMerge = true)
    private String name;

    @Excel(name = "申诉模块", needMerge = true)
    private String modeName;

    @Excel(name = "缺陷详情", needMerge = true)
    private String qcresultDetailMsg;

    @Excel(name = "审核人", needMerge = true)
    private String checkName;

    @Excel(name = "审核时间", needMerge = true, exportFormat = "yyyy-MM-dd HH:mm:ss")
    private Date checkGmtCreate;

    @Excel(name = "操作类型", needMerge = true, replace = {"删改条目_0","新增已有条目_1","新增缺失条目_2","恢复条目_3"})
    private String appealOperationType;

    @Excel(name = "状态", needMerge = true, replace = {"待审核_0","已驳回_1","审核通过_2"})
    private String exampleStatus;
}
