package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;


/**
 * @Description:
 * @author: songxl
 * @time: 2022/5/09 14:28
 */
@Getter
@Setter
@ApiModel("系统登录日志列表页-接口出参")
public class SysLoginLogDTO implements Serializable {

    private static final long serialVersionUID = 6123084820573676056L;


    @ApiModelProperty(value = "登录用户ID")
    private Long loginId;

    @ApiModelProperty(value = "登录用户名")
    private String loginName;

    @ApiModelProperty(value = "登录日期")
    private Date loginDate;

    @ApiModelProperty(value = "登录ip")
    private String loginIp;

    @ApiModelProperty(value = "地区")
    private String loginAddress;

    @ApiModelProperty(value = "浏览器")
    private String loginBrowser;

    @ApiModelProperty(value = "创建日期")
    private Date GmtCreate;
}
