package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;


/**
 * @Description:
 * @author: songxl
 * @time: 2022/5/09 14:28
 */
@Getter
@Setter
@ApiModel("系统登录日志列表页-接口出参")
public class SysOperationLogDTO implements Serializable {

    private static final long serialVersionUID = -2781154978311006059L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "操作人用户ID")
    private String operationId;

    @ApiModelProperty(value = "操作人用户名")
    private String operationName;

    @ApiModelProperty(value = "操作日期")
    private Date operationDate;

    @ApiModelProperty(value = "操作记录")
    private String operationRecord;

    @ApiModelProperty(value = "ip地址")
    private String operationIp;

    @ApiModelProperty(value = "操作地址")
    private String operationAddress;

    @ApiModelProperty(value = "操作方法")
    private String operationMethod;

    @ApiModelProperty(value = "操作请求方式")
    private String operationWay;

    @ApiModelProperty(value = "操作url")
    private String operationUrl;

    @ApiModelProperty(value = "操作参数")
    private String operationParam;

    @ApiModelProperty(value = "返回参数")
    private String jsonResult;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否归档（0：未归档，1：已归档）")
    private String isPlacefile;
}
