package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.dto.SysOperationLogDTO;
import com.diagbot.service.impl.SysOperationLogServiceImpl;
import com.diagbot.util.SysUserUtils;
import com.diagbot.vo.SysOperationLogVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:操作日志处理类
 * @author: songxl
 * @time: 2022/5/10 9:49
 */
@Component
public class OperationLogFacade extends SysOperationLogServiceImpl {
    @Autowired
    QcCasesFacade qcCasesFacade;

    public IPage<SysOperationLogDTO> getOperationLog(SysOperationLogVO sysOperationLogVO) {
        return this.getBaseMapper().getOperationLog(sysOperationLogVO);
    }

    public QcCasesDTO getQcCasesById(String id) {
        return qcCasesFacade.getQcCasesById(id, SysUserUtils.getCurrentHospitalID());
    }
}
