package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.SysOperationLogDTO;
import com.diagbot.entity.SysOperationLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.SysOperationLogVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统操作日志表 Mapper 接口
 * </p>
 *
 * @author zhanghang
 * @since 2022-05-09
 */
public interface SysOperationLogMapper extends BaseMapper<SysOperationLog> {

    IPage<SysOperationLogDTO> getOperationLog(@Param("sysOperationLogVO") SysOperationLogVO sysOperationLogVO);

    void addOperationRecord(SysOperationLogDTO operationLog);
}
