package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2022/5/6 16:10
 */
@Data
public class BehInfoForH5VO extends Page {
    private String deptId;
    private String deptName;
    private String hospitalId;

    @NotBlank(message = "请输入起始时间")
    private String startDate;
    /**
     * 结束时间
     */
    @NotBlank(message = "请输入结束时间")
    private String endDate;

    /**
     * 评分等级
     */
    private String level;

    /**
     * 单项否决标志
     */
    private Integer isReject;
    /**
     * 条目id
     */
    private Long caseEntryId;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";

    /**
     * 扣分
     */
    private Double deductScore;
}
