package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: zhoutg
 * @time: 2020/4/13 18:31
 */
@Data
public class GetDetailVO {

    private String behospitalCode; // 病历id
    private int needGroup = 1; // 默认值：1:分组，0：不分组
    @ApiModelProperty(hidden = true)
    private Long hospitalId; //医院ID
    private List<String> paramStr = new ArrayList<>(); // 获取具体的参数

//    @ApiModelProperty(value = "页面类型 1:评分详情页|2:核查详情页|3:申诉详情页")
//    private String pageType = "1";
}
