package com.diagbot.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 驳回
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class RejectedVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "医院id",hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "申诉id",required = true)
    private Long id;

    @ApiModelProperty(value = "工作流节点",hidden = true)
    private Long workFlowNodeId;

    @ApiModelProperty(value = "审核人id",hidden = true)
    private Long appealId;

    @ApiModelProperty(value = "病人住院序号",required = true)
    private String behospitalCode;

    @ApiModelProperty(value = "驳回理由")
    private String rejectedReason;

}
