package com.diagbot.dto;


import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取医生缺陷列表出参
 * @author: zhanghang
 * @time: 2022/4/11 19:00
 */
@ApiModel(value = "获取医生缺陷列表出参-接口出参")
@Getter
@Setter
public class ExportGetDoctorDetailPageDTO implements Serializable {

    @Excel(name = "缺陷名称", width = 40, orderNum = "2")
    private String name;

    @Excel(name = "模块名称", width = 20, orderNum = "1")
    private String casesName;

    @Excel(name = "数量", orderNum = "5")
    private Integer num = 0;

    @Excel(name = "缺陷占比", orderNum = "6")
    private String percentStr = "0.00%";

}
