package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.SysLoginLogDTO;
import com.diagbot.service.impl.SysLoginLogServiceImpl;
import com.diagbot.vo.SysLoginLogVO;
import org.springframework.stereotype.Component;

/**
 * @Description:登录日志处理类
 * @author: songxl
 * @time: 2022/5/9 14:33
 */
@Component
public class LoginLogFacade extends SysLoginLogServiceImpl {

    public IPage<SysLoginLogDTO> getLoginLog(SysLoginLogVO sysLoginLogVO) {
        return this.getBaseMapper().getLoginLog(sysLoginLogVO);
    }
}
