package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.SysLoginLogDTO;
import com.diagbot.entity.SysLoginLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.SysLoginLogVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统登录日志表 Mapper 接口
 * </p>
 *
 * @author zhanghang
 * @since 2022-05-09
 */
public interface SysLoginLogMapper extends BaseMapper<SysLoginLog> {

    IPage<SysLoginLogDTO> getLoginLog(@Param("sysLoginLogVO") SysLoginLogVO sysLoginLogVO);

    void addLoginLog(SysLoginLogDTO loginLog);
}
