package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @author: Wsy
 * @time: 2022/03/09 14:59
 */
@Data
public class MedRecordOtherVO extends Page implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 病历号
     */
    @NotBlank(message = "请输入病历号")
    private String behospitalCode;

    /**
     * 病历标题
     */
    private String recTitle;

    /**
     * 创建开始时间
     */
    private Date recDateStart;

    /**
     * 创建结束时间
     */
    private Date recDateEnd;

}
