package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;



/**
 * @Description:
 * @author: songxl
 * @time: 2022/5/09 14:28
 */
@Getter
@Setter
@ApiModel("系统登录日志列表页-接口入参")
public class SysLoginLogVO extends Page implements Serializable {

    private static final long serialVersionUID = -7393452900176171499L;

    @ApiModelProperty(value = "登录用户名")
    private String loginName;


    @ApiModelProperty(value = "ip地址")
    private String loginIp;

}
